---
title: Nexus
description: Nexus Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collects artifacts from a Nexus instance.  Will search all repositories in any entry in the corresponding manifest `repositories` list that is recognized as a Nexus instance for the specified component, and choose the most recent match (by version number).

<Plugin transferTag="hoppr.core_plugins.collect_nexus_search" >
{
`  purl_types:
          - git
          - maven
          - generic
`
}
</Plugin>

:::caution

All PURL types are currently supported _except_ for `git`, `gitlab`, `github`

:::

### Configuration Options

:::note

The `purl_types` option should be included if there are other collectors included in the `transfer` file.  Otherwise any artifact covered by those collectors will be processed twice - once by the native collector, and once by the Nexus Search collector.

:::

| Option          | Details                                                      |
| --------------- | -------------------------------------------------------------|
| purl_types      | Array of Strings.  Purl types to be processed by this plugin |
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 |

### Proxy and Certificate Configuration

This collector does not provide a way to specify proxies or certificates.

### Credentials Configuration

To specify credentials, you need a [credentials file](../../tutorials/processing-101.md#credentials).

Sample credentials file:

```yaml
---
schemaVersion: v1
kind: Credentials

metadata:
  name: Registry Credentials
  version: v1
  description: Sample credentials file

credential_required_services:
  - url: registry.gitlab.com
    user_env: CI_REGISTRY_USER
    pass_env: CI_REGISTRY_PASSWORD
```

### SBOM Generation Tools

:::note
For sbom generation tools visit the [CycloneDX Tool Center](https://cyclonedx.org/tool-center/)
:::
